import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.ColInfo;
import quadbase.ChartAPI.QbChart;

public class NonTranspose extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			NonTranspose chart = new NonTranspose();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doNonTransposeChart(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doNonTransposeChart(this));
	}

	Component doNonTransposeChart(Applet parent) {

		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		QbChart chart = null;

		// Template Location
		String templateLocation = "NonTranspose.tpl";

		// Data Source
		String textDataFile = "NonTranspose.dat";

		// Column Mapping
		ColInfo columnMapping = new ColInfo();
		columnMapping.category = 0;
		columnMapping.sumBy = 1;
		columnMapping.value = 2;

		try {
			// Apply the template
			chart = new QbChart(parent, // container
					QbChart.VIEW2D, // chart dimension
					QbChart.STACKCOL, // chart type
					QbChart.DATAFILE, // file type
					textDataFile, // data
					true, // do transpose
					columnMapping, // column mapping
					templateLocation); // template
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}

		// Show chart in Viewer
		return chart;
	}

}
